## WDS Get LTE Attach Parameters request WDS Get LTE Attach Parameters request |

## Functions

QmiMessageWdsGetLteAttachParametersOutput * | qmi_message_wds_get_lte_attach_parameters_output_ref ()
void | qmi_message_wds_get_lte_attach_parameters_output_unref ()
gboolean | qmi_message_wds_get_lte_attach_parameters_output_get_result ()
gboolean | qmi_message_wds_get_lte_attach_parameters_output_get_apn ()
gboolean | qmi_message_wds_get_lte_attach_parameters_output_get_ip_support_type ()
gboolean | qmi_message_wds_get_lte_attach_parameters_output_get_ota_attach_performed ()
void | qmi_client_wds_get_lte_attach_parameters ()
QmiMessageWdsGetLteAttachParametersOutput * | qmi_client_wds_get_lte_attach_parameters_finish ()

## Types and Values

| QmiMessageWdsGetLteAttachParametersOutput

## Object Hierarchy

        GBoxed
        ╰── QmiMessageWdsGetLteAttachParametersOutput

## Description

## Functions

### qmi_message_wds_get_lte_attach_parameters_output_ref ()

    QmiMessageWdsGetLteAttachParametersOutput *
    qmi_message_wds_get_lte_attach_parameters_output_ref
                                   (QmiMessageWdsGetLteAttachParametersOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWdsGetLteAttachParametersOutput. |

#### Returns

the new reference to `self` .

Since: 1.28

### qmi_message_wds_get_lte_attach_parameters_output_unref ()

    void
    qmi_message_wds_get_lte_attach_parameters_output_unref
                                   (QmiMessageWdsGetLteAttachParametersOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWdsGetLteAttachParametersOutput. |

Since: 1.28

### qmi_message_wds_get_lte_attach_parameters_output_get_result ()

    gboolean
    qmi_message_wds_get_lte_attach_parameters_output_get_result
                                   (QmiMessageWdsGetLteAttachParametersOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageWdsGetLteAttachParametersOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.28

### qmi_message_wds_get_lte_attach_parameters_output_get_apn ()

    gboolean
    qmi_message_wds_get_lte_attach_parameters_output_get_apn
                                   (QmiMessageWdsGetLteAttachParametersOutput *self,
                                    const gchar **value_apn,
                                    GError **error);

Get the 'APN' field from `self` .

#### Parameters

self | a QmiMessageWdsGetLteAttachParametersOutput. |
value_apn | a placeholder for the output constant string, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_message_wds_get_lte_attach_parameters_output_get_ip_support_type ()

    gboolean
    qmi_message_wds_get_lte_attach_parameters_output_get_ip_support_type
                                   (QmiMessageWdsGetLteAttachParametersOutput *self,
                                    QmiWdsIpSupportType *value_ip_support_type,
                                    GError **error);

Get the 'IP Support Type' field from `self` .

#### Parameters

self | a QmiMessageWdsGetLteAttachParametersOutput. |
value_ip_support_type | a placeholder for the output QmiWdsIpSupportType, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_message_wds_get_lte_attach_parameters_output_get_ota_attach_performed ()

    gboolean
    qmi_message_wds_get_lte_attach_parameters_output_get_ota_attach_performed
                                   (QmiMessageWdsGetLteAttachParametersOutput *self,
                                    gboolean *value_ota_attach_performed,
                                    GError **error);

Get the 'OTA Attach Performed' field from `self` .

#### Parameters

self | a QmiMessageWdsGetLteAttachParametersOutput. |
value_ota_attach_performed | a placeholder for the output gboolean, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.28

### qmi_client_wds_get_lte_attach_parameters ()

    void
    qmi_client_wds_get_lte_attach_parameters
                                   (QmiClientWds *self,
                                    gpointer unused,
                                    guint timeout,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously sends a Get LTE Attach Parameters request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_wds_get_lte_attach_parameters_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientWds. |
unused | `NULL`. This message doesn't have any input bundle. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.28

### qmi_client_wds_get_lte_attach_parameters_finish ()

    QmiMessageWdsGetLteAttachParametersOutput *
    qmi_client_wds_get_lte_attach_parameters_finish
                                   (QmiClientWds *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_wds_get_lte_attach_parameters()`.

#### Parameters

self | a QmiClientWds. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_wds_get_lte_attach_parameters()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageWdsGetLteAttachParametersOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_wds_get_lte_attach_parameters_output_unref()`.

Since: 1.28

## Types and Values

### QmiMessageWdsGetLteAttachParametersOutput

    typedef struct _QmiMessageWdsGetLteAttachParametersOutput QmiMessageWdsGetLteAttachParametersOutput;

The QmiMessageWdsGetLteAttachParametersOutput structure contains private data and should only be accessed using the provided API.

Since: 1.28